- Reply to or send a new private message
Create draft of given message
Update given draft message
Partially update draft message
Fetch draft(s) by id
Delete draft message(s) by id
Update and schedule given draft message
Update workflow of given draft message(s)
Update post properties using status id and account id
Schedule the given message
Fetch post(s) by id
Delete scheduled or published post(s) by id
Generate preview of message by id
Fetch status of preview request
Send or schedule a reply
Publish typing indicator for an inbound fan message
Reply to or send a new pr...
Security
bearerAuth and apiKeyAuth
Tags, campaign, url shortener and other sprinklr workflow properties to be added to the message
Parent message id, if any. This will be present if draft was scheduled
Extra information added to the post as part of enrichment in Sprinklr.
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/publishing/message
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/publishing/message
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/publishing/message \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"content": {
"title": "string",
"titleHash": "string",
"text": "string",
"textHash": "string",
"richText": "string",
"postbackPayload": "string",
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"templateId": "string",
"isRichText": true
},
"channelOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"scheduleNatively": true,
"darkPost": true,
"publishViaMobile": true
}
],
"scheduleDate": 0,
"taxonomy": {
"name": "string",
"campaignId": "string",
"subCampaignId": "string",
"clientCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"partnerCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"tags": [
"string"
],
"urlShortenerId": "string"
},
"approval": {
"type": {
"text": {},
"value": "string"
},
"id": "string"
},
"status": "string",
"sourceLocale": "string",
"contentLocale": "string",
"autoResponse": true,
"createdTime": 0,
"modifiedTime": 0,
"authorId": 0,
"customPropertiesMetadata": [
{
"fieldName": "string",
"type": "string",
"label": "string",
"clientCustomProperty": true,
"values": [
"string"
]
}
],
"externalId": "string",
"id": 0,
"accountId": 0,
"accountGroupId": "string",
"publishedDate": 0,
"permalink": "string",
"parentMessageId": 0,
"conversationId": "string",
"accountType": "string",
"channelType": "string",
"enrichments": {
"sentiment": 0,
"engageable": true,
"messageCategory": "string",
"messageTone": "string",
"emotion": "string",
"lstTopicIds": [
"string"
],
"lstThemeIds": [
"string"
],
"flaggedWords": {
"allFlaggedWords": [
"string"
],
"imageFlaggedWords": [
"string"
],
"messageFlaggedWords": [
"string"
],
"videoFlaggedWords": [
"string"
]
}
},
"inReplyToMessageId": "string",
"toProfile": {
"channelType": "string",
"channelId": "string",
"screenName": "string"
},
"allowDuplicateMessages": true,
"messageCategory": "string"
}'